Subject: Re: bug#25936: Fix for whitespace.el to make it read tab-width and indent-tabs-mode correctly

From: [email-masked]
Date: Tue, 18 Apr 2017 08:06:23 -0400

[email-masked] writes:

> Reuben Thomas <[email-masked]> writes:
>
>> However, on further investigation, I can't see why these local variables
>> are needed. Currently, whitespace-mode makes buffer-local copies of
>> indent-tabs-mode and tab-width, with names prefixed by "whitespace-". But
>> these variables are buffer-local if necessary already, and whitespace-mode
>> never tries to change them.
>
> These variables seem to have been introduced in [1: 55d1cfe870].  I
> agree that it looks like there is no need for them, but I'll wait
> another couple weeks in case someone else has some insights.  Adding
> author of that commit (and the person mentioned as "suggesting" it) on
> CC in case they might remember anything about it.
>
> 1: 2008-04-16 03:41:17 +0000 55d1cfe8703c5829bacc8d129277f1f9b33950f6
>   Honor the indent-tabs-mode and tab-width setting from user.

I guess they won't answer.  The compiler is telling me you missed a
reference of whitespace-tab-width though.

whitespace.el:2095:45:Warning: reference to free variable
    ‘whitespace-tab-width’